Search the Community
Showing results for tags 'setup'.
-
I've been reading through this detailed thread http://www.cadtutor.net/forum/showpost.php?p=271362&postcount=8 Well... I grabbed one of the snippets of code from the thread referenced above. It works perfectly. I deleted this.. ;; (vl-cmdf "_.pasteclip" "0,0") Since Lee Mac didn't know why it was in there in the first place. It does a very bad thing if anything is on your clipboard!! :-\ My question is how do I assign the "model space" setup to model space? It is called "11x17 Model Space" I'm one step away... :-| (defun c:PJM (/ *error* AT:PageSetups SetPSAllLayouts vl ov) (vl-load-com) (defun *error* (msg) (and ov (mapcar 'setvar vl ov)) (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*") (princ (strcat "\n** Error: " msg " **"))) (princ)) (setq *acad* (cond (*acad*) ((vlax-get-acad-object))) *doc* (cond (*doc) ((vla-get-ActiveDocument *acad*)))) ;;; Insert all Page Setups into drawing (will overwrite if exists) ;;; #DrawingFile - name of DWG file from which to import ;;; Alan J. Thompson, 07.29.09 (defun AT:PageSetups (#layout1) (if (findfile #layout1) (progn (command "_.psetupin" (findfile #layout1) "*") (while (wcmatch (getvar "cmdnames") "*PSETUPIN*") (command "_yes")) T))) (defun SetPSAllLayouts (setup / doc) (if (not (vl-catch-all-error-p (setq setup (vl-catch-all-apply (function vla-item) (list (vla-get-PlotConfigurations (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))) setup))))) (vlax-map-collection (vla-get-layouts doc) (function (lambda (x) (if (eq :vlax-false (vla-get-Modeltype x)) (vla-CopyFrom x setup))))))) (setq vl '("CMDECHO" "OSMODE") ov (mapcar 'getvar vl)) (mapcar 'setvar vl '(0 0)) ;; ------------ Start Here ----------------------------- (AT:PageSetups "H:\\Publish Setups.dwg") ;; Change this if necessary (repeat 3 (vla-purgeall *doc*)) (setPSAllLayouts "RP BORDER") (vla-ZoomExtents *acad*) (if (eq "" (vla-get-FullName *doc*)) (vla-saveas *doc* (strcat (vla-get-Path *doc*) "\\" (vla-get-name *doc*))) (vla-save *doc*)) ;; ------------ End Here ----------------------------- (mapcar 'setvar vl ov) (princ)) PLEASE HELP!!
-
Hey all, I'm new here so forgive me for not knowing proper protocol, etc. Does anyone know if there is a step-by-step instruction document of how to setup a new MEP Revit job, using an architect's model? There used to be a few resources with older versions of Revit but now 2011 looks completely different and it's like I'm starting over. Can we still copy/monitor or is that called something else now? Thanks!! Jess
-
Import page setup information automatically
hosannabizarre posted a topic in AutoLISP, Visual LISP & DCL
Currently I use a lisp file to import page setup information, which brings in previously configured plot set up information (as found in a specified drawing template). page_setups.lsp... (DEFUN C:PSN () (command "._-PSETUPIN" "W:/Library/Acad Setup/Page_Setup_Template/page_setup_template.dwg" "*")) Although I have "page_setups.lsp" identified in my startup suite of applications to load, I still have to type "PSN" to import page setup info. Typing these three letters is tiring my fingers out. Can I build the import instruction into accaddoc.lsp so that I don't have to keep typing PSN, so that it autoloads (and imports) with every session / drawing?? Cheeeeeeeeeers, hosannabizarre